Problem with 5.6.14 installation with installer

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Problem with 5.6.14 installation with installer

Postby GoldenPelican » 15. November 2015 05:12

Disabled Virus protection and used installer: xampp-win32-5.6.14-3-VC11-installer.exe as an administrator on Win XP SP3. I chose to install every option/software but Perl(I already have Strawberry Perl 5.8.9 installed on system-did not want to uninstall ) :lol: .
Received these messages:
C:\xampp\apache\bin.httpd is not a valid Win32 application

C:\xampp\php\php.exe is not a valid Win32 application

Problem running post-install step. Installation may not complete correctly. Installation failed(php.exe). Perhaps you have to install the Microsoft Visual C++ 2008 Redistributable package. After that please execute the setup_xampp.bat in the xampp fplder manually.


Control panel starts up just fine but there is a red X next to all modules( Apache, MySQL, etc...) All except for Mercury. :?

Third install try. The Checksums for download have been verified. Not sure what the prob is. Is this REALLY the issue?:
Microsoft Visual C++ 2008 Redistributable package.
:mrgreen:

Is there a known fix or remedy for these issues, or should I just install .zip. Anyone else having probs with the Installer? Any advice? :?:
GoldenPelican
 
Posts: 3
Joined: 15. November 2015 04:35
Operating System: Windows XP

Re: Problem with 5.6.14 installation with installer

Postby GoldenPelican » 15. November 2015 05:21

srry..last quote was supposed to look like this:
Problem running post-install step. Installation may not complete correctly. Installation failed(php.exe). Perhaps you have to install the Microsoft Visual C++ 2008 Redistributable package. After that please execute the setup_xampp.bat in the xampp folder manually.
GoldenPelican
 
Posts: 3
Joined: 15. November 2015 04:35
Operating System: Windows XP

Re: Problem with 5.6.14 installation with installer

Postby Altrea » 15. November 2015 12:02

PHP 5.6 does not work with Windows XP, even PHP 5.5 does not work.
You will need an XAMPP stack containing PHP 5.4 (the last one released was XAMPP 1.8.2-6)
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8286
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Problem with 5.6.14 installation with installer

Postby GoldenPelican » 18. November 2015 04:47

Yes..T.Y. ....I figured that out. Using Netbeans 8.0.2 with JDK 7_80 and xampp 1.8.2_6 on win XP SP3 All works fine! :-) VC11 no work on XP. VC9 all good. Thanks Altrea for the input! Hopefully this helps someone else too.
GoldenPelican
 
Posts: 3
Joined: 15. November 2015 04:35
Operating System: Windows XP


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 49 guests